{{ if .Values.ctfd.networkPolicy.enabled }}
---
kind: NetworkPolicy
apiVersion: networking.k8s.io/v1
metadata:
  name: deny-from-and-to-other-namespaces
spec:
  podSelector:
    matchLabels:
  ingress:
  - from:
    - podSelector: {}
  egress:
  - to:
    - podSelector: {}
---
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: allow-kube-dns
spec:
  podSelector: {}
  policyTypes:
  - Egress
  egress:
  - to:
    - namespaceSelector:
        matchLabels:
          kubernetes.io/metadata.name: kube-system
      podSelector:
        matchLabels:
          k8s-app: kube-dns
    ports:
      - port: 53
        protocol: UDP
      - port: 53
        protocol: TCP
# {{- range .Values.ctfd.networkPolicy.policies }}
# ---
# apiVersion: networking.k8s.io/v1
# kind: NetworkPolicy
# metadata:
#  name: {{ .name }}
# spec:
#  {{- if .ingress }}
#  {{- if .egress }}
#  policyTypes:
#     - Ingress
#     - Egress
#  {{- else }}
#  policyTypes:
#     - Ingress
#  {{- end }}
#  {{- else if .egress }}
#  policyTypes:
#     - Egress
#  {{- end }}
#  {{- if .matchLabels }}
#  podSelector:
#  matchLabels:
#     {{- range $k, $v := .matchLabels }}
#     {{- range $kk, $vv := $v }}
#     {{ $kk }}: {{ $vv }}
#     {{- end }}
#     {{- end }}
#  {{- else }}
#  podSelector: {}
# {{- end }}
#  {{- if .ingress }}
#  ingress:
#     {{- range .ingress.cidrs }}
#     - from:
#         - ipBlock:
#             cidr: {{ .host }}
#       ports:
#         {{- range .ports }}
#         - port: {{ .port }}
#           {{- if .protocol }}
#           protocol: {{ .protocol }}
#           {{- end }}
#         {{- end }}
#     {{- end }}
#     {{- range .ingress.pods }}
#     - from:
#         - namespaceSelector:
#             matchLabels:
#               kubernetes.io/metadata.name: {{ .namespace }}
#           {{- if .matchLabels }}
#           podSelector:
#             matchLabels:
#               {{- range $k, $v := .matchLabels }}
#               {{- range $kk, $vv := $v }}
#               {{ $kk }}: {{ $vv }}
#               {{- end }}
#               {{- end }}
#           {{- else }}
#           podSelector: {}
#           {{- end }}
#       ports:
#         {{- range .ports }}
#         - port: {{ .port }}
#           {{- if .protocol }}
#           protocol: {{ .protocol }}
#           {{- end }}
#         {{- end }}
#     {{- end }}
#  {{- end }}
#  {{- if .egress }}
#  egress:
#     {{- range .egress.cidrs }}
#     - to:
#         - ipBlock:
#             cidr: {{ .host }}
#       ports:
#         {{- range .ports }}
#         - port: {{ .port }}
#           {{- if .protocol }}
#           protocol: {{ .protocol }}
#           {{- end }}
#         {{- end }}
#     {{- end }}
#     {{- range .egress.pods }}
#     - to:
#         - namespaceSelector:
#             matchLabels:
#               kubernetes.io/metadata.name: {{ .namespace }}
#           {{- if .matchLabels }}
#           podSelector:
#             matchLabels:
#               {{- range $k, $v := .matchLabels }}
#               {{- range $kk, $vv := $v }}
#               {{ $kk }}: {{ $vv }}
#               {{- end }}
#               {{- end }}
#           {{- else }}
#           podSelector: {}
#           {{- end }}
#       ports:
#         {{- range .ports }}
#         - port: {{ .port }}
#           {{- if .protocol }}
#           protocol: {{ .protocol }}
#           {{- end }}
#         {{- end }}
#     {{- end }}
#  {{- end }}
# {{- end }}
{{- end }}
